package org.snmp4j.transport;

import org.snmp4j.smi.Address;

public abstract class AbstractConnectionOrientedTransportMapping<A extends Address>
        extends AbstractTransportMapping<A> implements ConnectionOrientedTransportMapping<A> {

    protected synchronized void timeoutSocket(AbstractSocketEntry<A> entry) {
        if ((connectionTimeout > 0) && (socketCleaner != null)) {
            SocketTimeout<A> socketTimeout = new SocketTimeout<A>(this, entry);
            entry.setSocketTimeout(socketTimeout);
            socketCleaner.schedule(socketTimeout, connectionTimeout);
        }
    }



}
